> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session Calendar

> Get the calendar for the workspace



## OpenAPI

````yaml get /activity/{workspaceId}/calendar
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /activity/{workspaceId}/calendar:
    get:
      tags:
        - Activity
      description: Get the calendar for the workspace
      parameters:
        - schema:
            type: number
          in: query
          name: index
          required: false
          description: The index of the week to get
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  days:
                    type: array
                    items:
                      type: object
                      properties:
                        day:
                          type: number
                        date:
                          type: string
                          format: date-time
                        day_of_week_char:
                          type: string
                      required:
                        - day
                        - date
                        - day_of_week_char
                  advance_calendar:
                    type: boolean
                required:
                  - days
                  - advance_calendar
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````